import { CategoryAxisBase } from "./CategoryAxisBase";
import { IZoomableCategoryAxis } from "./IZoomableCategoryAxis";
import { DependencyProperty } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { Rect } from "igniteui-angular-core";
import { Point, IList$1, Type } from "igniteui-angular-core";
import { ScalerParams } from "./ScalerParams";
import { CategoryMode } from "./CategoryMode";
import { SeriesViewer } from "./SeriesViewer";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
/**
 * @hidden
 */
export declare class CategoryYAxis extends CategoryAxisBase implements IZoomableCategoryAxis {
    static $t: Type;
    bm(): AxisView;
    kb(a: AxisView): void;
    ak(): Axis;
    jr(a: Axis): void;
    ju(a: Axis, b: string): void;
    p8: CategoryYAxisView;
    protected get_dq(): boolean;
    fs(): number;
    p5(a: Point, b: boolean, c: number): Rect;
    protected p7(a: IList$1<number[]>): number[][];
    j5(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    constructor();
    static readonly q4: DependencyProperty;
    get qh(): number;
    set qh(a: number);
    p9(): boolean;
    private qa;
    get qc(): number;
    set qc(a: number);
    f5(): number;
    static readonly q5: DependencyProperty;
    get qi(): number;
    set qi(a: number);
    private qb;
    get qd(): number;
    set qd(a: number);
    private qk;
    get qm(): number;
    set qm(a: number);
    private qj;
    get ql(): number;
    set ql(a: number);
    ft(a: number, b: ScalerParams): number;
    private qg;
    fw(a: number, b: ScalerParams): number;
    fx(a: number, b: ScalerParams, c: CategoryMode): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    qz(a: number, b: number): void;
    az(): AxisLabelPanelBase;
    fe(): number;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    ou(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    qy(a: any): void;
    d4(): boolean;
    getWindowZoomFromCategories(a: number): number;
    getWindowZoomFromItemSpan(a: number): number;
    q1(): void;
    q0(): void;
    protected kf(a: any, b: string, c: any, d: any): void;
    j1(a: string): void;
    qe: number;
    qf: number;
    zoomMaximumCategoryRange: number;
    zoomMaximumItemSpan: number;
    zoomToCategoryRange: number;
    zoomToCategoryStart: number;
    zoomToItemSpan: number;
    ok(a: SeriesViewer): boolean;
    protected k4(a: boolean): void;
    protected get_bk(): AxisOrientation;
    get bk(): AxisOrientation;
    get isVertical(): boolean;
    j$d(a: number, b: ScalerParams): number;
    j$c(a: number, b: ScalerParams): number;
    j$e(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$g(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    get j$b(): boolean;
    j$a(): number[];
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryYAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bm: CategoryYAxis;
    constructor(a: CategoryYAxis);
    al(): void;
}
